<form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="w-screen md:w-96">
  <h2 mat-dialog-title>{{ data.isNew ? 'New' : 'Edit' }} Transaction</h2>
  <hr class="mb-2"/>
  <mat-dialog-content>
    <div class="flex flex-col gap-4">
      <mat-form-field>
        <mat-label>Source of transaction</mat-label>
        <input formControlName="source" matInput>
        <mat-hint>ex: Walmart</mat-hint>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Description (optional)</mat-label>
        <textarea formControlName="description" matInput rows="3"></textarea>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Transaction Type</mat-label>
        <mat-select formControlName="type">
          @for (type of TRANSACTION_TYPES; track type) {
            <mat-option [value]="type.value">
              <span>{{ type.name }}</span>
              <span class="text-sm text-gray-500 ml-5">({{ type.description }})</span>
            </mat-option>
          }
        </mat-select>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Choose a date</mat-label>
        <input [matDatepicker]="picker" formControlName="date" matInput>
        <mat-hint>MM/DD/YYYY</mat-hint>
        <mat-datepicker-toggle [for]="picker" matIconSuffix></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Enter amount</mat-label>
        <input formControlName="amount" matInput pattern="^\d{1,5}(\.\d{1,2})?$" type="number">
        @if (formGroup.get('amount').value; as amount) {
          <mat-hint>{{ (amount) | currency: 'USD':'symbol':'1.2' }}</mat-hint>
        } @else {
          <mat-hint>$0.00</mat-hint>
        }
      </mat-form-field>
    </div>
  </mat-dialog-content>
  <hr class="my-2"/>
  <mat-dialog-actions>
    <div class="flex justify-between items-center w-full px-4">
      <button mat-dialog-close>Cancel</button>
      <button [disabled]="formGroup.invalid" color="primary" mat-raised-button>Save</button>
    </div>
  </mat-dialog-actions>
</form>
